Skip to main content
GET
/
streaming
/
statistics
/
vod
/
transcoding_duration
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
vod_statistics_series = client.streaming.statistics.get_vod_transcoding_duration(
    from_="from",
    to="to",
)
print(vod_statistics_series)
[
  {
    "client": 123,
    "metrics": {
      "vod": [
        [
          1640995210,
          10
        ],
        [
          1640995310,
          10
        ],
        [
          1640995410,
          10
        ],
        [
          1640995510,
          20
        ],
        [
          1640995610,
          20
        ]
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

from
string
required

Start of time frame. Datetime in ISO 8601 format.

to
string
required

End of time frame. Datetime in ISO 8601 format.

Response

OK

client
integer
required
metrics
object
required
Example:
[
{
"client": 123,
"metrics": {
"vod": [
[1640995210, 10],
[1640995310, 10],
[1640995410, 10],
[1640995510, 20],
[1640995610, 20]
]
}
}
]